com.virtual.tour.road.com.virtual.tour.road.model

## Class MensajeRuta

- java.lang.Object
- - com.virtual.tour.road.com.virtual.tour.road.model.MensajeRuta

- All Implemented Interfaces:
    android.speech.tts.TextToSpeech.OnInitListener

      public class MensajeRuta
      extends java.lang.Object
      implements android.speech.tts.TextToSpeech.OnInitListener

  Created by Carolina Bonnin on 07/04/2015. Clase con objeto text to speech que gestiona los mensajes que se ofrecen al usuario durante la ruta.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private android.content.Context` | `context`
    `private long` | `end`
    `private java.util.ArrayList<com.google.android.gms.maps.model.Marker>` | `markerRepeticiones`
    `private java.util.ArrayList<com.google.android.gms.maps.model.Marker>` | `markers`
    `private java.lang.String[]` | `mensajes`
    `private static float` | `MIN_DIST`
    `private int` | `minutes`
    `private android.location.Location` | `myLocation`
    `private int` | `repeticiones`
    `private long` | `start`
    `private java.lang.String` | `textToSpeek`
    `private android.speech.tts.TextToSpeech` | `tts`
    `private boolean` | `ttsWorking`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `MensajeRuta(android.content.Context context)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `float` | `calcularDistancia(java.util.ArrayList<com.google.android.gms.maps.model.Marker> m, android.location.Location l)` Metodo que calcula la distancia andada por el usuario y se lo comunica
    `int` | `getMinutes()`
    `boolean` | `okMensajes(java.util.ArrayList<com.google.android.gms.maps.model.Marker> m)` Metodo para comprobar que hay markers y por lo tanto se pueden gestionar los mensajes.
    `void` | `onInit(int status)` Ejecuta los mensajes via text to speech
    `void` | `setMinutes(int minutes)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### context

          private android.content.Context context

    - #### end

          private long end

    - #### markerRepeticiones

          private java.util.ArrayList<com.google.android.gms.maps.model.Marker> markerRepeticiones

    - #### markers

          private java.util.ArrayList<com.google.android.gms.maps.model.Marker> markers

    - #### mensajes

          private java.lang.String[] mensajes

    - #### MIN_DIST

          private static final float MIN_DIST

      See Also:
        Constant Field Values

    - #### minutes

          private int minutes

    - #### myLocation

          private android.location.Location myLocation

    - #### repeticiones

          private int repeticiones

    - #### start

          private long start

    - #### textToSpeek

          private java.lang.String textToSpeek

    - #### tts

          private android.speech.tts.TextToSpeech tts

    - #### ttsWorking

          private boolean ttsWorking

  - ### Constructor Detail

    - #### MensajeRuta

          public MensajeRuta(android.content.Context context)

  - ### Method Detail

    - #### calcularDistancia

          public float calcularDistancia(java.util.ArrayList<com.google.android.gms.maps.model.Marker> m,
                                         android.location.Location l)

      Metodo que calcula la distancia andada por el usuario y se lo comunica
      Parameters:
        `m` - listado de markers
        `l` - localizacion del usuario
      Returns:
        distancia

    - #### getMinutes

          public int getMinutes()

    - #### okMensajes

          public boolean okMensajes(java.util.ArrayList<com.google.android.gms.maps.model.Marker> m)

      Metodo para comprobar que hay markers y por lo tanto se pueden gestionar los mensajes.
      Parameters:
        `m` - listado de markers
      Returns:
        boolean para indicar si se puede o no mostrar mensajes

    - #### onInit

          public void onInit(int status)

      Ejecuta los mensajes via text to speech
      Specified by:
        `onInit` in interface `android.speech.tts.TextToSpeech.OnInitListener`
      Parameters:
        `status` - si es success ejecutara los mensajes.

    - #### setMinutes

          public void setMinutes(int minutes)